net.sourceforge.pmd.renderers

## Class TextColorRenderer

- java.lang.Object
- - net.sourceforge.pmd.AbstractPropertySource
  - - net.sourceforge.pmd.renderers.AbstractRenderer
    - - net.sourceforge.pmd.renderers.AbstractAccumulatingRenderer
      - - net.sourceforge.pmd.renderers.TextColorRenderer

- All Implemented Interfaces:
    PropertySource, Renderer

      public class TextColorRenderer
      extends AbstractAccumulatingRenderer

  A console renderer with optional color support under *nix systems.

       * file: ./src/gilot/Test.java
           src:  Test.java:12
           rule: AtLeastOneConstructor
           msg:  Each class should declare at least one constructor
           code: public class Test

       * file: ./src/gilot/log/format/LogInterpreter.java
           src:  LogInterpreter.java:317
           rule: AvoidDuplicateLiterals
           msg:  The same String literal appears 4 times in this file; the first occurrence is on line 317
           code: logger.error( "missing attribute 'app_arg' in rule '" + ((Element)element.getParent()).getAttributeValue( "name" ) + "'" );

           src:  LogInterpreter.java:317
           rule: AvoidDuplicateLiterals
           msg:  The same String literal appears 5 times in this file; the first occurrence is on line 317
           code: logger.error( "missing attribute 'app_arg' in rule '" + ((Element)element.getParent()).getAttributeValue( "name" ) + "'" );

       * warnings: 3

  Colorization is turned on by supplying -Dpmd.color - any value other than '0' or 'false', enables color - including an empty value (''). Nota Bene: colorization is atm only supported under *nix terminals accepting ansi escape sequences, such as xterm, rxvt et cetera.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StringProperty` | `COLOR`
    `static String` | `NAME`

    - ### Fields inherited from class net.sourceforge.pmd.renderers.AbstractAccumulatingRenderer

      `report`

    - ### Fields inherited from class net.sourceforge.pmd.renderers.AbstractRenderer

      `description, name, propertyDefinitions, showSuppressedViolations, writer`

    - ### Fields inherited from class net.sourceforge.pmd.AbstractPropertySource

      `propertyDescriptors, propertyValuesByDescriptor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextColorRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `defaultFileExtension()` Return the default filename extension to use.
    `void` | `end()` Subclasses should output the `AbstractAccumulatingRenderer.report`.
    `protected Reader` | `getReader(String sourceFile)`

    - ### Methods inherited from class net.sourceforge.pmd.renderers.AbstractAccumulatingRenderer

      `renderFileReport, start, startFileAnalysis`

    - ### Methods inherited from class net.sourceforge.pmd.renderers.AbstractRenderer

      `defineProperty, flush, getDescription, getName, getPropertyDefinitions, getWriter, isShowSuppressedViolations, setDescription, setName, setShowSuppressedViolations, setWriter`

    - ### Methods inherited from class net.sourceforge.pmd.AbstractPropertySource

      `copyPropertyDescriptors, copyPropertyValues, definePropertyDescriptor, dysfunctionReason, getPropertiesByPropertyDescriptor, getProperty, getPropertyDescriptor, getPropertyDescriptors, hasDescriptor, ignoredProperties, setProperty, useDefaultValueFor, usesDefaultValues`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sourceforge.pmd.PropertySource

      `definePropertyDescriptor, dysfunctionReason, getPropertiesByPropertyDescriptor, getProperty, getPropertyDescriptor, getPropertyDescriptors, hasDescriptor, ignoredProperties, setProperty, useDefaultValueFor, usesDefaultValues`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### COLOR

          public static final StringProperty COLOR

  - ### Constructor Detail

    - #### TextColorRenderer

          public TextColorRenderer()

  - ### Method Detail

    - #### defaultFileExtension

          public String defaultFileExtension()

      Description copied from interface: `Renderer`
      Return the default filename extension to use.
      Returns:
        String

    - #### end

          public void end()
                   throws IOException

      Subclasses should output the `AbstractAccumulatingRenderer.report`. This method is at the very end of the Rendering process, after `Renderer.renderFileReport(Report)`.
      Specified by:
        `end` in interface `Renderer`
      Specified by:
        `end` in class `AbstractAccumulatingRenderer`
      Throws:
        `IOException`

    - #### getReader

          protected Reader getReader(String sourceFile)
                              throws FileNotFoundException

      Throws:
        `FileNotFoundException`

Copyright © 2002-2013 InfoEther. All Rights Reserved.